NVME-SELF-TEST-LO(1)

NAME
nvme-self-test-log - Retrieve the log information initited by device-self-test and display it

SYNOPSIS

nvme self-test-log <device> [--output-format=<FMT> | -o <FMT>]

DESCRIPTION

Retrieves the log pages from an NVMe device corresponding to the requested self-test by the user and provides 20-most recent result returned structure.

The <device> parameter is mandatory and may be either the NVMe character device (ex: /dev/nvme0), or a namespace block device (ex: /dev/nvme0n1).

On success, the returned log structure may be returned in one of several ways depending on the option flags; the structure may parsed by the program and printed in a readable format or the raw buffer or the json format.

By default the log is printed out in the normal readable format.

OPTION

-o <format>, --output-format=<format>
    Set the reporting format to normal, json, or binary. Only one output format can be used at a time.

EXAMPLES

    • Get the self-test-log and print it in a human readable format:

        # nvme self-test-log /dev/nvme0

    • Print the raw output to a file:

        # nvme self-test-log /dev/nvme0 -o "binary"

    • Get the self-test-log and print it in a json format:

        # nvme self-test-log /dev/nvme0 -o "json"

NVME

Part of the nvme-user suite